#include <stdio.h>
main(){
	int x,y,a,b;
	scanf("%d%d%d%d",&x,&y,&a,&b);
	if(x==a && y>b){
		printf("drugi");
	}
	else if(y==b && a>x){
		printf("prvi");
	}
	else if(x==a && b==y){
		printf("nijedan");
	}
	else{
		printf("?");
	}
}